Bug 13293 - We should minimize the lifetime of winbindd_cli_state->{pw,gr}ent_state
We should minimize the lifetime of winbindd_cli_state->{pw,gr}ent_state
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 13292
  Show dependency treegraph
 
Reported: 2018-02-22 07:15 UTC by Stefan Metzmacher
Modified: 2018-10-26 12:33 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (6.34 KB, patch)
2018-02-27 10:54 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-22 07:15:28 UTC
client_is_idle() checks for winbindd_cli_state->{pw,gr}ent_state.

As we don't return anything in the default configuration,
we can safely disconnect an idle client.
Comment 1 Ralph Böhme 2018-02-27 10:54:58 UTC
Created attachment 13998 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:59:38 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 11:58:22 UTC
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:52:22 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:29:33 UTC
Backport on bug #13292.
Comment 6 Stefan Metzmacher 2018-10-26 12:33:19 UTC
4.7 only gets security updates